aboutsummaryrefslogtreecommitdiff
path: root/doc/problemexamples/problemtemplate
diff options
context:
space:
mode:
authorcassio <cassiopc@gmail.com>2014-08-26 07:33:49 +0000
committercassio <cassiopc@gmail.com>2014-08-26 07:33:49 +0000
commit6a532dd4e6b853ea3c8e5694f57295e8a3b191f7 (patch)
treece63caeeb60be6ac7027665d19a0232bc5a8e31a /doc/problemexamples/problemtemplate
parenta36325e95bfd75af9c37b9e0eac6dcf1028a6f61 (diff)
downloadboca-6a532dd4e6b853ea3c8e5694f57295e8a3b191f7.tar.gz
boca-6a532dd4e6b853ea3c8e5694f57295e8a3b191f7.zip
few minor fixes and possibility of having a hotstandby bkp
Diffstat (limited to 'doc/problemexamples/problemtemplate')
-rw-r--r--doc/problemexamples/problemtemplate/compile/c10
-rw-r--r--doc/problemexamples/problemtemplate/compile/cpp10
-rw-r--r--doc/problemexamples/problemtemplate/compile/java2
-rwxr-xr-xdoc/problemexamples/problemtemplate/run/c8
-rwxr-xr-xdoc/problemexamples/problemtemplate/run/cpp8
-rwxr-xr-xdoc/problemexamples/problemtemplate/run/java14
6 files changed, 26 insertions, 26 deletions
diff --git a/doc/problemexamples/problemtemplate/compile/c b/doc/problemexamples/problemtemplate/compile/c
index 5376708..77631ec 100644
--- a/doc/problemexamples/problemtemplate/compile/c
+++ b/doc/problemexamples/problemtemplate/compile/c
@@ -1,7 +1,7 @@
#!/bin/bash
# ////////////////////////////////////////////////////////////////////////////////
# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
+# // Copyright (C) 2003-2014 by BOCA System (bocasystem@gmail.com)
# //
# // This program is free software: you can redistribute it and/or modify
# // it under the terms of the GNU General Public License as published by
@@ -15,12 +15,12 @@
# // You should have received a copy of the GNU General Public License
# // along with this program. If not, see <http://www.gnu.org/licenses/>.
# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 21/july/2012 by cassio@ime.usp.br
+#Last modified: 21/august/2014 by cassio@ime.usp.br
#
# parameters are:
# $1 source_file
# $2 exe_file (default run.exe)
-# $3 timelimit (optional, limit to run all the repetitions, by default only one repetition)
+# $3 timelimit
# $4 maximum allowed memory (in MBytes, default 512M)
#
# the output of the submission should be directed to the standard output
@@ -105,7 +105,7 @@ else
exe=$2
fi
-rm -f $exe compileit.retcode runit.retcode 2>/dev/null
+rm -f "$exe" compileit.retcode runit.retcode 2>/dev/null
cat <<EOF > compileit.sh
#!/bin/bash
cc=\`which gcc\`
@@ -115,7 +115,7 @@ if [ ! -x "\$cc" ]; then
exit 47
fi
cd src
-"\$cc" -static -O2 -o ../$exe $name -lm
+"\$cc" -static -O2 -o "../$exe" "$name" -lm
echo \$? > ../compileit.retcode
exit 0
EOF
diff --git a/doc/problemexamples/problemtemplate/compile/cpp b/doc/problemexamples/problemtemplate/compile/cpp
index 6a61bc1..2da3e4a 100644
--- a/doc/problemexamples/problemtemplate/compile/cpp
+++ b/doc/problemexamples/problemtemplate/compile/cpp
@@ -1,7 +1,7 @@
#!/bin/bash
# ////////////////////////////////////////////////////////////////////////////////
# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
+# // Copyright (C) 2003-2014 by BOCA System (bocasystem@gmail.com)
# //
# // This program is free software: you can redistribute it and/or modify
# // it under the terms of the GNU General Public License as published by
@@ -15,12 +15,12 @@
# // You should have received a copy of the GNU General Public License
# // along with this program. If not, see <http://www.gnu.org/licenses/>.
# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 21/july/2012 by cassio@ime.usp.br
+#Last modified: 21/august/2014 by cassio@ime.usp.br
#
# parameters are:
# $1 source_file
# $2 exe_file (default run.exe)
-# $3 timelimit (optional, limit to run all the repetitions, by default only one repetition)
+# $3 timelimit
# $4 maximum allowed memory (in MBytes)
#
# the output of the submission should be directed to the standard output
@@ -105,7 +105,7 @@ else
exe=$2
fi
-rm -f $exe compileit.retcode runit.retcode 2>/dev/null
+rm -f "$exe" compileit.retcode runit.retcode 2>/dev/null
cat <<EOF > compileit.sh
#!/bin/bash
cc=\`which g++\`
@@ -115,7 +115,7 @@ if [ ! -x "\$cc" ]; then
exit 47
fi
cd src
-"\$cc" -static -O2 -o ../$exe $name -lm
+"\$cc" -static -O2 -o "../$exe" "$name" -lm
echo \$? > ../compileit.retcode
exit 0
EOF
diff --git a/doc/problemexamples/problemtemplate/compile/java b/doc/problemexamples/problemtemplate/compile/java
index bab8a88..3d3f88e 100644
--- a/doc/problemexamples/problemtemplate/compile/java
+++ b/doc/problemexamples/problemtemplate/compile/java
@@ -73,7 +73,7 @@ if [ "${name##*.}" == "zip" -a "${name##*.}" == "ZIP" ]; then
name=`basename $name .ZIP`
fi
else
- cp $name src
+ cp "$name" src
fi
chown -R $bocau src
chmod -R 700 src
diff --git a/doc/problemexamples/problemtemplate/run/c b/doc/problemexamples/problemtemplate/run/c
index b46e5f9..b283366 100755
--- a/doc/problemexamples/problemtemplate/run/c
+++ b/doc/problemexamples/problemtemplate/run/c
@@ -1,7 +1,7 @@
#!/bin/bash
# ////////////////////////////////////////////////////////////////////////////////
# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
+# // Copyright (C) 2003-2014 by BOCA System (bocasystem@gmail.com)
# //
# // This program is free software: you can redistribute it and/or modify
# // it under the terms of the GNU General Public License as published by
@@ -15,7 +15,7 @@
# // You should have received a copy of the GNU General Public License
# // along with this program. If not, see <http://www.gnu.org/licenses/>.
# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 22/aug/2012 by cassio@ime.usp.br
+#Last modified: 21/aug/2014 by cassio@ime.usp.br
#
# parameters are:
# $1 exe_file
@@ -74,7 +74,7 @@ if [ ! -r "$2" ]; then
echo "$2 not found (or is not in the current dir) or it's not readable"
exit 45
fi
-if [ ! -x $sf ]; then
+if [ ! -x "$sf" ]; then
echo "$sf not found or it's not executable"
exit 46
fi
@@ -117,7 +117,7 @@ fi
cdir=`pwd`
echo "Current directory is $cdir -- chrooting on it" >&2
-$sf -F10 -f$maxf -r$nruns -n1 -R$cdir -C. -U$bocau -G$bocag -ostdout0 -estderr0 -d$maxm -m$maxm -t$time -T$ttime -istdin0 ./run.exe
+"$sf" -F10 -f$maxf -r$nruns -n1 -R$cdir -C. -U$bocau -G$bocag -ostdout0 -estderr0 -d$maxm -m$maxm -t$time -T$ttime -istdin0 ./run.exe
ret=$?
if [ $ret -gt 10 ]; then
ret=0
diff --git a/doc/problemexamples/problemtemplate/run/cpp b/doc/problemexamples/problemtemplate/run/cpp
index b46e5f9..b283366 100755
--- a/doc/problemexamples/problemtemplate/run/cpp
+++ b/doc/problemexamples/problemtemplate/run/cpp
@@ -1,7 +1,7 @@
#!/bin/bash
# ////////////////////////////////////////////////////////////////////////////////
# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2012 by BOCA System (bocasystem@gmail.com)
+# // Copyright (C) 2003-2014 by BOCA System (bocasystem@gmail.com)
# //
# // This program is free software: you can redistribute it and/or modify
# // it under the terms of the GNU General Public License as published by
@@ -15,7 +15,7 @@
# // You should have received a copy of the GNU General Public License
# // along with this program. If not, see <http://www.gnu.org/licenses/>.
# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 22/aug/2012 by cassio@ime.usp.br
+#Last modified: 21/aug/2014 by cassio@ime.usp.br
#
# parameters are:
# $1 exe_file
@@ -74,7 +74,7 @@ if [ ! -r "$2" ]; then
echo "$2 not found (or is not in the current dir) or it's not readable"
exit 45
fi
-if [ ! -x $sf ]; then
+if [ ! -x "$sf" ]; then
echo "$sf not found or it's not executable"
exit 46
fi
@@ -117,7 +117,7 @@ fi
cdir=`pwd`
echo "Current directory is $cdir -- chrooting on it" >&2
-$sf -F10 -f$maxf -r$nruns -n1 -R$cdir -C. -U$bocau -G$bocag -ostdout0 -estderr0 -d$maxm -m$maxm -t$time -T$ttime -istdin0 ./run.exe
+"$sf" -F10 -f$maxf -r$nruns -n1 -R$cdir -C. -U$bocau -G$bocag -ostdout0 -estderr0 -d$maxm -m$maxm -t$time -T$ttime -istdin0 ./run.exe
ret=$?
if [ $ret -gt 10 ]; then
ret=0
diff --git a/doc/problemexamples/problemtemplate/run/java b/doc/problemexamples/problemtemplate/run/java
index cdaef98..e8e8c7a 100755
--- a/doc/problemexamples/problemtemplate/run/java
+++ b/doc/problemexamples/problemtemplate/run/java
@@ -1,7 +1,7 @@
#!/bin/bash
# ////////////////////////////////////////////////////////////////////////////////
# //BOCA Online Contest Administrator
-# // Copyright (C) 2003-2013 by BOCA System (bocasystem@gmail.com)
+# // Copyright (C) 2003-2014 by BOCA System (bocasystem@gmail.com)
# //
# // This program is free software: you can redistribute it and/or modify
# // it under the terms of the GNU General Public License as published by
@@ -15,7 +15,7 @@
# // You should have received a copy of the GNU General Public License
# // along with this program. If not, see <http://www.gnu.org/licenses/>.
# ////////////////////////////////////////////////////////////////////////////////
-#Last modified: 14/sept/2013 by cassio@ime.usp.br
+#Last modified: 21/aug/2014 by cassio@ime.usp.br
#
# parameters are:
# $1 main_class
@@ -92,7 +92,7 @@ if [ ! -r "$2" ]; then
echo "$2 not found (or is not in the current dir) or it's not readable"
exit 45
fi
-if [ ! -x $sf ]; then
+if [ ! -x "$sf" ]; then
echo "$sf not found or it's not executable"
exit 46
fi
@@ -140,12 +140,12 @@ cd "$cdir"
[ -d /sys/kernel ] || /bin/mount -t sysfs sysfs /sys
java=`which java`
[ -x "\$java" ] || java=/usr/bin/java
-if [ ! -x \$java ]; then
+if [ ! -x "\$java" ]; then
echo "\$java not found or it's not executable"
exit 47
fi
export CLASSPATH=.:./run.jar:$CLASSPATH
-$sf -r$nruns -t$time -T$ttime -istdin0 -F256 -u256 -ostdout0 -estderr0 -U$bocau -G$bocag -n0 -C. -f20000 -d20000000 -m20000000 -- \$java -Xmx${maxm}K -Xms${maxm}K "$name"
+"$sf" -r$nruns -t$time -T$ttime -istdin0 -F256 -u256 -ostdout0 -estderr0 -U$bocau -G$bocag -n0 -C. -f20000 -d20000000 -m20000000 -- "\$java" -Xmx${maxm}K -Xms${maxm}K "$name"
retval=\$?
echo \$retval > runit.retcode
if [ ! -d /bocajail ]; then
@@ -169,11 +169,11 @@ else
echo "CODE NOT BEING CHROOTED. DO NOT RUN THIS ON THE MAIN SERVER" >&2
java=`which java`
[ -x "$java" ] || java=/usr/bin/java
- if [ ! -x $java ]; then
+ if [ ! -x "$java" ]; then
echo "$java not found or it's not executable"
exit 47
fi
- $sf -r$nruns -t$time -T$ttime -istdin0 -F256 -u256 -U$bocau -G$bocag -ostdout0 -estderr0 -n0 -C. -d20000000 -m20000000 -- $java -cp run.jar -Xmx${maxm}K -Xms${maxm}K "$name"
+ "$sf" -r$nruns -t$time -T$ttime -istdin0 -F256 -u256 -U$bocau -G$bocag -ostdout0 -estderr0 -n0 -C. -d20000000 -m20000000 -- "$java" -cp run.jar -Xmx${maxm}K -Xms${maxm}K "$name"
ret=$?
fi
if [ $ret -gt 10 ]; then